---
triple:          'arm64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_aarch64_mac_Nightly/build/macosx-aarch64-server-release/support/test/hotspot/jtreg/native/lib/libgetintrf007.dylib'
relocations:
  - { offsetInCU: 0x6C3, offset: 0x6C3, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x4BB28, symBinAddr: 0x81D8, symSize: 0x0 }
  - { offsetInCU: 0x6EA, offset: 0x6EA, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x4DA68, symBinAddr: 0xA118, symSize: 0x0 }
  - { offsetInCU: 0x70C, offset: 0x70C, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x4DE50, symBinAddr: 0xA500, symSize: 0x0 }
  - { offsetInCU: 0x72E, offset: 0x72E, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x4EDF0, symBinAddr: 0xB4A0, symSize: 0x0 }
  - { offsetInCU: 0x743, offset: 0x743, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x4EDF8, symBinAddr: 0xB4A8, symSize: 0x0 }
  - { offsetInCU: 0x7BE, offset: 0x7BE, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x4B7B8, symBinAddr: 0x80A8, symSize: 0x0 }
  - { offsetInCU: 0x7C9, offset: 0x7C9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x4B7BC, symBinAddr: 0x80AC, symSize: 0x0 }
  - { offsetInCU: 0x7D4, offset: 0x7D4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x4B7C0, symBinAddr: 0x80B0, symSize: 0x0 }
  - { offsetInCU: 0x819, offset: 0x819, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x4B910, symBinAddr: 0x80B8, symSize: 0x0 }
  - { offsetInCU: 0x892, offset: 0x892, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x4B9C8, symBinAddr: 0x8170, symSize: 0x0 }
  - { offsetInCU: 0x8B0, offset: 0x8B0, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x4B9CC, symBinAddr: 0x8174, symSize: 0x0 }
  - { offsetInCU: 0x8C9, offset: 0x8C9, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x4B9D0, symBinAddr: 0x8178, symSize: 0x0 }
  - { offsetInCU: 0x8E2, offset: 0x8E2, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x4B9D4, symBinAddr: 0x817C, symSize: 0x0 }
  - { offsetInCU: 0x8FB, offset: 0x8FB, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x4B9D8, symBinAddr: 0x8180, symSize: 0x0 }
  - { offsetInCU: 0x8EC1, offset: 0x8EC1, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x4B9E0, symBinAddr: 0x8188, symSize: 0x0 }
  - { offsetInCU: 0x8F4A, offset: 0x8F4A, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x4B9F8, symBinAddr: 0x8198, symSize: 0x0 }
  - { offsetInCU: 0x8F63, offset: 0x8F63, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x4BA00, symBinAddr: 0x81A0, symSize: 0x0 }
  - { offsetInCU: 0x8F7C, offset: 0x8F7C, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x4BA08, symBinAddr: 0x81A8, symSize: 0x0 }
  - { offsetInCU: 0x8F95, offset: 0x8F95, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x4BA10, symBinAddr: 0x81B0, symSize: 0x0 }
  - { offsetInCU: 0x8FAF, offset: 0x8FAF, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x4BA18, symBinAddr: 0x81B8, symSize: 0x0 }
  - { offsetInCU: 0x9095, offset: 0x9095, size: 0x8, addend: 0x0, symName: __ZL9printdump, symObjAddr: 0x4BA5A, symBinAddr: 0x81C2, symSize: 0x0 }
  - { offsetInCU: 0x90B5, offset: 0x90B5, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x4BA60, symBinAddr: 0x81C8, symSize: 0x0 }
  - { offsetInCU: 0x90CE, offset: 0x90CE, size: 0x8, addend: 0x0, symName: __ZL6result, symObjAddr: 0x4BA68, symBinAddr: 0x81D0, symSize: 0x0 }
  - { offsetInCU: 0x90EE, offset: 0x90EE, size: 0x8, addend: 0x0, symName: __ZL7classes, symObjAddr: 0xCE68, symBinAddr: 0x4020, symSize: 0x0 }
  - { offsetInCU: 0x916A, offset: 0x916A, size: 0x8, addend: 0x0, symName: __ZL2i2, symObjAddr: 0xD4F8, symBinAddr: 0x8080, symSize: 0x0 }
  - { offsetInCU: 0x918F, offset: 0x918F, size: 0x8, addend: 0x0, symName: __ZL2i3, symObjAddr: 0xD500, symBinAddr: 0x8088, symSize: 0x0 }
  - { offsetInCU: 0x91A8, offset: 0x91A8, size: 0x8, addend: 0x0, symName: __ZL2i7, symObjAddr: 0xD508, symBinAddr: 0x8090, symSize: 0x0 }
  - { offsetInCU: 0x91C1, offset: 0x91C1, size: 0x8, addend: 0x0, symName: __ZL2i8, symObjAddr: 0xD510, symBinAddr: 0x8098, symSize: 0x0 }
  - { offsetInCU: 0x91DA, offset: 0x91DA, size: 0x8, addend: 0x0, symName: __ZL2i9, symObjAddr: 0xD518, symBinAddr: 0x80A0, symSize: 0x0 }
  - { offsetInCU: 0x922C, offset: 0x922C, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x358, symBinAddr: 0xB14, symSize: 0xA0 }
  - { offsetInCU: 0x92C1, offset: 0x92C1, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x330, symBinAddr: 0xAEC, symSize: 0x28 }
  - { offsetInCU: 0x9324, offset: 0x9324, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x29C, symBinAddr: 0xA6C, symSize: 0x80 }
  - { offsetInCU: 0x95B8, offset: 0x95B8, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x42C, symBinAddr: 0xBB4, symSize: 0x20C }
  - { offsetInCU: 0x9771, offset: 0x9771, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x638, symBinAddr: 0xDC0, symSize: 0x28 }
  - { offsetInCU: 0x983A, offset: 0x983A, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x674, symBinAddr: 0xDE8, symSize: 0xB0 }
  - { offsetInCU: 0x9931, offset: 0x9931, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0x7DC, symBinAddr: 0xE98, symSize: 0xD8 }
  - { offsetInCU: 0x9A56, offset: 0x9A56, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x11F8, symBinAddr: 0xF70, symSize: 0x24 }
  - { offsetInCU: 0x9AE1, offset: 0x9AE1, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x16E4, symBinAddr: 0xF94, symSize: 0x168 }
  - { offsetInCU: 0x9CBD, offset: 0x9CBD, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x184C, symBinAddr: 0x10FC, symSize: 0x104 }
  - { offsetInCU: 0x9E3A, offset: 0x9E3A, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x22EC, symBinAddr: 0x1200, symSize: 0x154 }
  - { offsetInCU: 0xA01E, offset: 0xA01E, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2440, symBinAddr: 0x1354, symSize: 0xAC }
  - { offsetInCU: 0xA0F3, offset: 0xA0F3, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x278C, symBinAddr: 0x1400, symSize: 0x14 }
  - { offsetInCU: 0xA12C, offset: 0xA12C, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x27A0, symBinAddr: 0x1414, symSize: 0x14 }
  - { offsetInCU: 0xA165, offset: 0xA165, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x27B4, symBinAddr: 0x1428, symSize: 0x14 }
  - { offsetInCU: 0xA2E2, offset: 0xA2E2, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x2F18, symBinAddr: 0x143C, symSize: 0x1A8 }
  - { offsetInCU: 0xA5F6, offset: 0xA5F6, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3694, symBinAddr: 0x15E4, symSize: 0x9C }
  - { offsetInCU: 0xA6B3, offset: 0xA6B3, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3730, symBinAddr: 0x1680, symSize: 0x690 }
  - { offsetInCU: 0xB245, offset: 0xB245, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0x90D8, symBinAddr: 0x2794, symSize: 0x30 }
  - { offsetInCU: 0xB2D1, offset: 0xB2D1, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x3DC0, symBinAddr: 0x1D10, symSize: 0x74 }
  - { offsetInCU: 0xB399, offset: 0xB399, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x4AF0, symBinAddr: 0x1D84, symSize: 0xB0 }
  - { offsetInCU: 0xB478, offset: 0xB478, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x576C, symBinAddr: 0x1E34, symSize: 0x3C }
  - { offsetInCU: 0xB56E, offset: 0xB56E, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x57A8, symBinAddr: 0x1E70, symSize: 0x29C }
  - { offsetInCU: 0xB8B1, offset: 0xB8B1, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x5A44, symBinAddr: 0x210C, symSize: 0xD0 }
  - { offsetInCU: 0xB9DF, offset: 0xB9DF, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x5B14, symBinAddr: 0x21DC, symSize: 0xC }
  - { offsetInCU: 0xBAA1, offset: 0xBAA1, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x5B20, symBinAddr: 0x21E8, symSize: 0x22C }
  - { offsetInCU: 0xBD95, offset: 0xBD95, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x8CC8, symBinAddr: 0x2414, symSize: 0x90 }
  - { offsetInCU: 0xBE5A, offset: 0xBE5A, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x8DE8, symBinAddr: 0x24A4, symSize: 0x90 }
  - { offsetInCU: 0xBF57, offset: 0xBF57, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_GetImplementedInterfaces_getintrf007_check, symObjAddr: 0x8E78, symBinAddr: 0x2534, symSize: 0x248 }
  - { offsetInCU: 0xC0C1, offset: 0xC0C1, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_GetImplementedInterfaces_getintrf007_getRes, symObjAddr: 0x90C0, symBinAddr: 0x277C, symSize: 0x18 }
  - { offsetInCU: 0xC0F8, offset: 0xC0F8, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0x9108, symBinAddr: 0x27C4, symSize: 0x358 }
...
